Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_WFMO_Reactor_Handler_Repository::Current_Info Class Reference

This structure inherits from the common structure to add information for current entries. More...

`#include <WFMO_Reactor.h>`

Inheritance diagram for ACE_WFMO_Reactor_Handler_Repository::Current_Info:

[legend]
Collaboration diagram for ACE_WFMO_Reactor_Handler_Repository::Current_Info:

[legend]
List of all members.

## Public Member Functions
| Current_Info (void)
| Default constructor.
void | reset (void)
| Reset the state of the structure.
void | set (int io_entry, ACE_Event_Handler *event_handler, ACE_HANDLE io_handle, long network_events, int delete_event, int delete_entry=0, ACE_Reactor_Mask close_masks=ACE_Event_Handler::NULL_MASK, int suspend_entry=0)
| Set the structure to these new values.
void | set (Common_Info &common_info, int suspend_entry=0)
| Set the structure to these new values.
void | dump (ACE_HANDLE event_handle) const
| Dump the state of an object.
## Public Attributes
int | suspend_entry_
| This is set when the entry needed to be suspended.

## Detailed Description

This structure inherits from the common structure to add information for current entries.

## Constructor & Destructor Documentation

ACE_INLINE ACE_WFMO_Reactor_Handler_Repository::Current_Info::Current_Info | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Current_Info::dump | ( | ACE_HANDLE | event_handle | ) | const

| Dump the state of an object.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Current_Info::reset | ( | void |  | ) |

| Reset the state of the structure. Reimplemented from ACE_WFMO_Reactor_Handler_Repository::Common_Info.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Current_Info::set | ( | Common_Info & | common_info,
|  | int | suspend_entry = `0`
| ) |

| Set the structure to these new values.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Current_Info::set | ( | int | io_entry,
|  | ACE_Event_Handler * | event_handler,
|  | ACE_HANDLE | io_handle,
|  | long | network_events,
|  | int | delete_event,
|  | int | delete_entry = `0`,
|  | ACE_Reactor_Mask | close_masks = `ACE_Event_Handler::NULL_MASK`,
|  | int | suspend_entry = `0`
| ) |

| Set the structure to these new values.

## Member Data Documentation

int ACE_WFMO_Reactor_Handler_Repository::Current_Info::suspend_entry_

| This is set when the entry needed to be suspended.

The documentation for this class was generated from the following files:

- WFMO_Reactor.h
- WFMO_Reactor.inl